Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic:  Debian sid ist ein Horrorspiel im Moment  (Read 6834 times)

Offline reddark

  • User
  • Posts: 1.047
    • http://www.klangruinen.de/
Debian sid ist ein Horrorspiel im Moment
« Reply #15 on: 2011/09/17, 22:03:19 »
Bei mir ist aktuell:

Code: [Select]
dpkg --get-selections | grep hold
fglrx-driver                                    hold
icedtea-netx                                    hold

Offline spacepenguin

  • User
  • Posts: 862
    • spacepenguin.de
Debian sid ist ein Horrorspiel im Moment
« Reply #16 on: 2011/09/18, 23:10:02 »
D.h. also als Benutzer des proprietären Nvidia-Treibers sollte man xserver-xorg-core auf hold setzen, so daß nicht 1.11.0-1 installiert wird? Noch was? Nvidia Zeugs? Der ganze ruby/plasma-scriptengines Kram ja sowieso...
Susan | Hardware: SysProfile
Music-Profile: http://www.last.fm/de/user/spacepengu

Offline ralul

  • User
  • Posts: 1.814
Debian sid ist ein Horrorspiel im Moment
« Reply #17 on: 2011/09/19, 02:14:27 »
Es ist viel einfacher mit unterschiedlichen Prioritäten zu arbeiten, als mit Holds. Wenn bis testing auf xserver-1.12 erhöht wird, bekomme ich das automatisch mit mit dieser /etc/apt/preferences:
Code: [Select]

Package: *
Pin: release a=experimental
Pin-Priority: 101

Package: *
Pin: release a=testing
Pin-Priority: 501

Package: *
Pin: release a=unstable
Pin-Priority: 502

Package: xserver-*
Pin: release a=testing
Pin-Priority: 505

Package: *mesa*
Pin: release a=testing
Pin-Priority: 505

Package: *nvidia*
Pin: release a=testing
Pin-Priority: 505

Package: glx*
Pin: release a=testing
Pin-Priority: 505

Die vielen mesa,nvidia,glx Einträge sind deswegen, weil ja alles zusammenhängt. Nicht dass man xserver auf testing hat, aber die mesa Sachen laufen höher ....
experiencing siduction runs better than my gentoo makes me know I know nothing

Offline spacepenguin

  • User
  • Posts: 862
    • spacepenguin.de
Debian sid ist ein Horrorspiel im Moment
« Reply #18 on: 2011/09/22, 10:48:38 »
Danke ralul, ich hab auch erstmal alles mit *smoke* auf die Art gepinnt wegen libkde4-ruby1.8, libplasma-ruby und so.
Susan | Hardware: SysProfile
Music-Profile: http://www.last.fm/de/user/spacepengu

Offline ralul

  • User
  • Posts: 1.814
Debian sid ist ein Horrorspiel im Moment
« Reply #19 on: 2011/09/22, 11:44:17 »
Apropos:
Sind eigentlich jetzt die unpassenden Pakete libkde4-ruby1.8 und libplasma-ruby von Debian unstable dem anstehenden Übergan zu kde-4.7.1 geschuldet?
experiencing siduction runs better than my gentoo makes me know I know nothing